Subject: Re: bug#47085: du: why does 'usage' show prefixes 'Z' or 'Y' if they are disallowed?

From: "Glenn Golden" <[email-masked]>
Date: Fri, 12 Mar 2021 03:03:10 -0700

On Thu, Mar 11, 2021, at 21:53, L A Walsh wrote:
>
> Also something I didn't see as being clear:
>   I don't see where it says it will always round up to next higher
>   unit (it may say it somewhere, I just don't see it and was
>   surprised to see 'du -BT /tmp|hsort -s' show all objects as
>   being 1.0T and for hsort to show a summary of ~148T
>   (hsort sorts by human prefixes and has an optional '-s'
>   switch that shows an additive sum of the sizes).
> 

See coreutils.info Section 14.2 (entitled "du: Estimate file space  usage",
second paragraph), and coreutils.info Section 2.3  (entitled "Block size",
first paragraph).  Both state that fractional block sizes are rounded up
to the nearest integer.